Skip Menu |
 

This queue is for tickets about the Log-Dispatch-File-Stamped CPAN distribution.

Report information
The Basics
Id: 86204
Status: resolved
Priority: 0/
Queue: Log-Dispatch-File-Stamped

People
Owner: Nobody in particular
Requestors: aar [...] cpan.org
Cc:
AdminCc:

Bug Information
Severity: Critical
Broken in: 0.10
Fixed in: (no value)



Subject: 0.10 is broken with latest Log::Dispatch (2.39)
Download (untitled) / with headers
text/plain 692b
The last stable Log::Dispatch::File::Stamped (0.10) is broken with the current Log::Dispatch (2.39) because of the recent change to its internal API. No timestamp will be inserted in the output filename. 0.10_010 fixes the issue, so the purpose of this ticket is to document the problem and urge the maintainer to release 0.11 as soon as possible. Also, while testing 0.10_010 I got this error: "File::Spec version 3.4 required--this is only version 3.33 at /usr/local/share/perl/5.14.2/Path/Tiny.pm line 12." so I guess version 3.4 needs to be specified as a requirement in Build.PL too -- but it actually looks to belong to Path::Tiny and probably needs to be escalated there. Thank you!
Download (untitled) / with headers
text/plain 958b
On 2013-06-17 09:30:29, AAR wrote: Show quoted text
> The last stable Log::Dispatch::File::Stamped (0.10) is broken with the > current Log::Dispatch (2.39) because of the recent change to its > internal API. No timestamp will be inserted in the output filename. > > 0.10_010 fixes the issue, so the purpose of this ticket is to document > the problem and urge the maintainer to release 0.11 as soon as > possible. > > Also, while testing 0.10_010 I got this error: "File::Spec version 3.4 > required--this is only version 3.33 at > /usr/local/share/perl/5.14.2/Path/Tiny.pm line 12." so I guess > version 3.4 needs to be specified as a requirement in Build.PL too > -- but it actually looks to belong to Path::Tiny and probably needs > to be escalated there. > > Thank you!
Roger that - a new (stable) release should be going up today. I'll also get a conflict entry inserted into Log::Dispatch's metadata to document the conflicting versions.
Download (untitled) / with headers
text/plain 289b
Show quoted text
> I'll also get a conflict entry inserted into Log::Dispatch's metadata > to document the conflicting versions.
This actually sounds a bit odd, as I intentionally modified the LD interfaces very carefully so that it wouldn't break backcompat... I will confirm what the situation is here.
Thank you! :)
Download (untitled) / with headers
text/plain 213b
Not sure this helps, however the problem preventing 0.10 from working with L::D 2.39 is that the _make_handle() method is not accepting %params anymore. Thus the new $filename with timestamp included gets ignored.
Download (untitled) / with headers
text/plain 127b
Log-Dispatch-File-Stamped 0.11 (and 0.12) are now uploaded, and I've pushed a change to Log::Dispatch to document the conflict.


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.